Skip to main content

Get all invoices

GEThttps://api.propexo.com/v1/invoices/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the invoice

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: 34634663
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: nweghwz
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for YARDI

    Example: null
    x_vendor_idstring | nullnullablerequired

    The external ID of the vendor from the integration vendor

    InterfaceMethod
    Vendor InvoicingGetPayables
    Example: a010899
    x_financial_account_idnullrequired

    The external ID of the financial account from the integration vendor

    Notice

    This field will always be null for YARDI

    Example: null
    x_cash_financial_account_idstring | nullnullablerequired

    The external ID of the cash financial account from the integration vendor

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: 23429934
    x_ap_financial_account_idstring | nullnullablerequired

    The external ID of the AP financial account from the integration vendor

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: 23421234
    amount_due_in_centsnullrequired

    The amount due on the invoice, in cents

    Notice

    This field will always be null for YARDI

    Example: null
    amount_paid_in_centsnumber | nullnullablerequired

    The amount paid on the invoice, in cents

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: 50000
    custom_data object | nullrequired
    object
    due_datestring | nullnullablerequired

    The due date associated with the invoice

    InterfaceMethod
    Vendor InvoicingGetPayables
    Example: 2015-09-05T00:00:00.000Z
    discount_amount_in_centsnullrequired

    The deposit amount in cents associated with the invoice

    Notice

    This field will always be null for YARDI

    Example: null
    discount_datestring | nullnullablerequired

    The date a discount was issued on invoice

    InterfaceMethod
    Vendor InvoicingGetPayables
    Example: 2014-09-05T00:00:00.000Z
    invoice_datestring | nullnullablerequired

    The date the invoice was issued

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: 2014-09-05T00:00:00.000Z
    invoice_numberstring | nullnullablerequired

    The reference number for the invoice

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: cxp34657
    notesstring | nullnullablerequired

    Notes associated with the invoice

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: A string of data generally provided by the PMC
    post_datenullrequired

    The date the invoice was posted. Some PMS systems only show the month.

    Notice

    This field will always be null for YARDI

    Example: null
    post_monthstring | nullnullablerequired

    The month the invoice was posted.

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: 2024-02-01T00:00:00.000Z
    post_status_rawnullrequired

    The raw post status associated with the invoice

    Notice

    This field will always be null for YARDI

    Example: null
    sub_total_amount_in_centsnullrequired

    The sub total amount of the invoice

    Notice

    This field will always be null for YARDI

    Example: null
    total_amount_in_centsnumber | nullnullablerequired

    The amount of the invoice, in cents

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: 87500
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    financial_account_idnullrequired

    The Propexo unique identifier for the financial account

    Notice

    This field will always be null for YARDI

    Example: null
    cash_financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the cash financial account

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: cfsdv83423bpr8000008kz8h5g2ka4
    ap_financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the ap financial account

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: cfsdf32jbpr8000008kz8h5g2ka4
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum24required

    The property management system of record

    Show 13 enum values
    YARDIAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI_REST
    Example: YARDI
    invoice_items object[]required

    The invoice list items associated with the invoice

  • Array [
  • x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: 63a84f9142efdb89104a54ddabcd63554498c7db4e80ed82e0c1742af8de23423235
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: oakridge
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for YARDI

    Example: null
    x_gl_account_idstring | nullnullablerequired

    The external ID of the financial account from the integration vendor

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: 23429934
    x_cash_financial_account_idstring | nullnullablerequired

    The external ID of the cash financial account from the integration vendor

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: 23429934
    invoice_idstringrequired

    The Propexo unique identifier for the invoice

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: cfwuh423bpr8000008kz8h5g2ka4
    construction_job_idnullrequired

    The Propexo unique identifier for the construction job

    Notice

    This field will always be null for YARDI

    Example: null
    amount_due_in_centsnullrequired

    The amount due on the invoice item, in cents

    Notice

    This field will always be null for YARDI

    Example: null
    notesstring | nullnullablerequired

    Notes associated with the invoice item

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: A string of data about the invoice, generally added by the PMC
    total_amount_in_centsnumber | nullnullablerequired

    The amount of the invoice item, in cents

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: 80000
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: cfsdv83423bpr8000008kz8h5g2ka4
    cash_financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the cash financial account

    InterfaceMethod
    Billing and PaymentsGetPayables
    Vendor InvoicingGetPayables
    Example: cfsdf32jbpr8000008kz8h5g2ka4
  • ]
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/invoices/
curl https://api.propexo.com/v1/invoices/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "34634663",
"x_property_id": "nweghwz",
"x_location_id": null,
"x_vendor_id": "a010899",
"x_financial_account_id": null,
"x_cash_financial_account_id": "23429934",
"x_ap_financial_account_id": "23421234",
"amount_due_in_cents": null,
"amount_paid_in_cents": 50000,
"custom_data": "Unknown Type: object,null",
"due_date": "2015-09-05T00:00:00.000Z",
"discount_amount_in_cents": null,
"discount_date": "2014-09-05T00:00:00.000Z",
"invoice_date": "2014-09-05T00:00:00.000Z",
"invoice_number": "cxp34657",
"notes": "A string of data generally provided by the PMC",
"post_date": null,
"post_month": "2024-02-01T00:00:00.000Z",
"post_status_raw": null,
"sub_total_amount_in_cents": null,
"total_amount_in_cents": 87500,
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": null,
"cash_financial_account_id": "cfsdv83423bpr8000008kz8h5g2ka4",
"ap_financial_account_id": "cfsdf32jbpr8000008kz8h5g2ka4",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI",
"invoice_items": [
{
"x_id": "63a84f9142efdb89104a54ddabcd63554498c7db4e80ed82e0c1742af8de23423235",
"x_property_id": "oakridge",
"x_location_id": null,
"x_gl_account_id": "23429934",
"x_cash_financial_account_id": "23429934",
"invoice_id": "cfwuh423bpr8000008kz8h5g2ka4",
"construction_job_id": null,
"amount_due_in_cents": null,
"notes": "A string of data about the invoice, generally added by the PMC",
"total_amount_in_cents": 80000,
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": "cfsdv83423bpr8000008kz8h5g2ka4",
"cash_financial_account_id": "cfsdf32jbpr8000008kz8h5g2ka4"
}
]
}
]
}